---
title: "Pages the revocations of customers' access for cause, of one customer or one order when named, with each one's refund."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › transaction

`GET /v1/stores/{store}/revocations`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `transaction:read`

## Path parameters

- `store` (`listRevocations.path.store`; string, required) — The store's id.

## Query parameters

- `customer` (`listRevocations.query.customer`; string, optional) — An id.
  - minLength 1
- `order` (`listRevocations.query.order`; string, optional) — An id.
  - minLength 1
- `filter` (`listRevocations.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listRevocations.query.sort`; string, optional)
  - one of `"created"`
- `direction` (`listRevocations.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listRevocations.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listRevocations.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listRevocations.query.count`; boolean, optional)
- `facets` (`listRevocations.query.facets`; array<string>, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/revocations' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/revocations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/revocations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the revocations of customers' access for cause, of one customer or one order when named, with each one's refund.

#### Example

```json
{
  "items": [
    {
      "id": "string",
      "customer_id": "string",
      "order_id": "string",
      "grant_id": "string",
      "product_ids": [
        "string"
      ],
      "cause": "string",
      "note": "string",
      "message": "string",
      "refund": {
        "via": "string",
        "amount": 0,
        "currency": "string",
        "exponent": 0,
        "settlement_id": "string",
        "refund_id": "string",
        "status": "string"
      },
      "revoked_by": "string",
      "token_id": "string",
      "created_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listRevocations.response.200.items`; array<object>, required)
  - `id` (`listRevocations.response.200.items.id`; string, required)
  - `customer_id` (`listRevocations.response.200.items.customer_id`; string, required)
  - `order_id` (`listRevocations.response.200.items.order_id`; any of, required)
    - any of: `string`, `null`
  - `grant_id` (`listRevocations.response.200.items.grant_id`; any of, required)
    - any of: `string`, `null`
  - `product_ids` (`listRevocations.response.200.items.product_ids`; array<string>, required)
  - `cause` (`listRevocations.response.200.items.cause`; string, required)
  - `note` (`listRevocations.response.200.items.note`; any of, required)
    - any of: `string`, `null`
  - `message` (`listRevocations.response.200.items.message`; any of, required)
    - any of: `string`, `null`
  - `refund` (`listRevocations.response.200.items.refund`; any of, required)
    - any of: `object`, `null`
  - `revoked_by` (`listRevocations.response.200.items.revoked_by`; any of, required)
    - any of: `string`, `null`
  - `token_id` (`listRevocations.response.200.items.token_id`; any of, required)
    - any of: `string`, `null`
  - `created_at` (`listRevocations.response.200.items.created_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listRevocations.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listRevocations.response.200.total`; number, optional)
- `facets` (`listRevocations.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listRevocations.response.default.type`; string, required)
  - format `uri`
- `title` (`listRevocations.response.default.title`; string, required)
- `status` (`listRevocations.response.default.status`; integer, required)
- `detail` (`listRevocations.response.default.detail`; string, required)
- `code` (`listRevocations.response.default.code`; string, optional)
- `context` (`listRevocations.response.default.context`; object, optional)
- `reached_core` (`listRevocations.response.default.reached_core`; boolean, optional)
- `core_answer` (`listRevocations.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-revocations/index.md
